=== pkg/linux/CMakeLists.txt ===
install(FILES serieswatcher.desktop DESTINATION share/applications)
install(FILES serieswatcher.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES ${resources_SOURCE_DIR}/serieswatcher.svg DESTINATION share/icons/hicolor/scalable/apps)
