=== pkg/maemo5/CMakeLists.txt ===
install(FILES serieswatcher.desktop DESTINATION share/applications/hildon)
install(FILES serieswatcher.png DESTINATION share/icons/hicolor/64x64/hildon)
install(FILES serieswatcher-wrapper DESTINATION bin)
