=== qttvdb/cmake/modules/CMakeLists.txt ===
set(cmakeFiles FindQtTvDB.cmake)
install(FILES ${cmakeFiles} DESTINATION ${CMAKE_MODULES_INSTALL_DIR} COMPONENT devel)
