=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.3-2) unstable; urgency=low

  * Fix banner loader

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 23 Apr 2011 19:02:59 +0200
