=== pkg/maemo5/debian/control ===
Source: serieswatcher
Section: user/utilities
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/serieswatcher
Build-Depends: debhelper (>= 5), libqtm-dev, libqt4-dev, libzip-dev, cmake
Standards-Version: 3.7.2

Package: serieswatcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: SeriesWatcher permet de surveiller vos séries télé.
 Vous pourrez être prévenus des nouveaux épisodes,
 les marquer comme vus, etc...
 Series Watcher permet aussi de rajouter des liens dynamiques
 vers d'autres services afin de pouvoir rapidement trouver
 les DVDs ou sous-titres correspondant à un épisode ou à
 une saison. L'application utilise l'API fournie par
 thetvdb.com.
XB-Maemo-Display-Name: Series Watcher
Description: Series Watcher can help you keep track of the TV shows you're watching.
 It let you mark watched episode and allow to add dynamic
 links to other services (to buy DVDs, download subtitles, etc...).
 Data comes from thetvdb.com XML API.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAADWwAAA1sB5s3OywAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA1ySURBVHic5ZtpcFzVlcd/9773el8sydpl
 rZZ3W7YjmxjseMMGkwECjg0eEoMToMgMVZMiM8kMFQdcQzKEpTJJQSUEAgNJ
 wBgSUpAUw1BgyQ6EeBFYsRHeY8m7JdlqSb291+/OhzbYcrdstZaGVP5fuvu+
 +8459//OPe/ce08LpRR/z9A/bQPSYeVLQpucX+nvxqGLeFfEt/RE5D6UPRK6
 RLY94D/+WJEjLG2xECxRggqllF8gfIAf+PjTlebWGBABwqAiICIKeiQ02UJt
 kkJt+v68vx7L1J6sEXDvxqr5SPEQUA/IkdGi3v7B/IOLM7kjKwSsQ8hYY1Ub
 UDLSumyb6Q8uPLBjoP1H6En0hdlQPZMsDB5ASlZm1H+kDDkfCalys6HnLPIz
 6ZwVAs4GuSxBeTPpnRUCwPZnRw8IIT57BChbZI0ApfBk0j87HiCySMBncQoI
 VNZigOAzOAVIn9mNFEQmnbPlAbFs6DmrrSOT3lkhwBZkjQCBas+kf7amQDRL
 elAZEjCk5fDrtbVOtwz6pTD9AtsPyp9A8wuUX6D8IP2gXNescRSw1NwUtZFx
 JWREKT2aUEZUSUdUKWfMFs6YUu6YUm5LCbcawoMRiOEjoGHhQl0eb5+tbDld
 CDUNRZ0Qolih/IDfq7kNiAOgEIBA8vHiSsDZ73l7tKbxN5gzOdvzwut92wDo
 iinaTlucOWKSeC/MmOMm1QMZ0LB4wOu1tU6PdH9HCu4EUSqE+sQ+Rearx9Bu
 WZrhLUGnIFhkQJEBn/Ogumy2/vgkk81LJDpCyKHHAK/ufkEI1gGZGp4W8XZZ
 CJwZgggRlMz6cg5bLtEvbNr225kITiGgYcLUehQ3ZGTeANC5Rf9gqDLGOSm/
 2HUFjz+04ODxTGSmTAGJvIlBuPml8NF/uebmzzW3jV5o9QYmJYo0F+PIMGnR
 ocolCUVtAmebFHAc1EYleDVmWK9malcKAQJVMRJ7RCqBfrLRqD/ZaABgBO1O
 T4U6ZvhVzPAT14O2pfuVbfiVrfsUmg+JjbIiYMeEsiOIRFRS67Jea57C+9i0
 9kZE20+W7R1SjpFCgEpuTI44zC6Z29VMxhslJcL56KqWHRnN84shXRC8KAFG
 bg7GqFEZK3IWF5O/7KqM77sQyfxi+JCGgPRLV1dpCTNefoE57zYy571NjLnz
 9owUlX/jTmrXrUVo2qAMPQ/DSkBqHqCUL11oqvq3ezBycvjz/CvRfD6k69wC
 z1lYgCM/n959+7CjMRACV0kxsRMn8U2cQPfOXRx+6hlaf/oEKpFIKg4GcZeP
 IXKoFSsUAkAYBt7asSTCYSJ/PdSPycO7tE4lQKSfAs7CAqTDQDgchPcfSHbV
 JOMeWEfeogUkIlEQgu3X3oi7spzpL/yS7p278E0Yzzufm8PMV16k7ee/oPWJ
 pyj72m2U33UH5unTOAsL+GDVauKn2pn+wnPYsRhGXh47vrqG8L79aSyRIz0F
 0rtY6xO/QPcHqP/9KxQtT6YJJbesIm/xIrZ98QYOPPzoWU8YjX/KZISmcXrz
 O2y9+jpcY8rQvF56PmwhOKue6m/fw847vsHOu+5Gulx4qqsYvWQRzqJCmm+9
 nffmLepn8MMfA/p6gBCC8VPTppqdDY1s++L1THrsv6ldt5ZTb7xJ/jVXI11O
 ZvxmPWZnJ3vv+0/C+w9Q9vXbiB4+wqHHfwZKqcLrr+0FfOHd+/dVfutfcpRt
 50352WNxOxxNtL/4+3bz9Z0HHJMmeFXUrLvsrTdkx4MvHup5dmMIqWwb21bK
 VkooG6VUa1llwfwN4Z8K6ESIDoHdaSM6JbLTtq0OwxadZ7q9ndvuxMyYgHfG
 j/eRJjlxV5QTaW0jeuQo3Tua8Y6tQcXjuEpLOPrr9Rz44SPnOIRjOfWzAvGW
 wz2Vsdmn3ImcKv/YZT77WBdjD9WP9QdrSWw5ROimJx0AEsaUUjeGrdB12UP4
 n72NUTcuqpbPtECa49AOVWoKmAeAUijE2WWVjRASSwPfqLBasIEDoLYr2GKK
 xDPvrgh0XpIAW0pfOqUTf/QwRs4ozM7T+CZO4OCPfoIdjxP6YAfFK5fjyB+N
 q7g4Fn1p6yH9d4ernaXFuvXkdq8vkV8IoE0pwdp5FABreyvuby7C98QtCF3D
 +qCN2Ibt+H+5BqupFW1cIdGn3+3/kYkBneUJoAZEjYCVDqXfv+DF8MqGmzyv
 pxF3Tl5DbV2Z1FTbhZ2chQXkzp8HUiPU9D69e/YCIF1ORi+5EmdhUTS3dVQo
 8Ye9BcLQMJZOwty8D9XZC4CxeAL2kTMkPjoOUmAsHI9WPRq7vQfzzRZUOI5j
 6SRkSRBr1zGsPx/sd2S7qso3rf2n1V8YAAkXorWxxVOl7uv7iPsQ8NbEiXmG
 MjJaTgJ47JxN1bErBmNUxmgaX934wO3/OH8w9wqhZmxc4e2zKOvzFkg4HBfd
 unIWF1G6+hZ0f/JNKV1OSm65mbIZy4o+7uNYMhFj0fjB2HfOqAI/OX/5Hsbl
 NSnXok7noJcqypbzUnSd/2Npc3PkYgL8UyZTc+93cFdUAFC0/AbGrr2XwD/M
 LQUQuV68j69Cq8zrV4YsChBs/Bb67Mp+++h1ZYiAi8T+UynXog4joxVkHwi7
 KkVXn19K2UyYZgJGuvutUHdSjsMBUlJ661dAKaTbZQC4Vs2CiEls/TZkWQ6u
 2+agInGs9w4ia/KJv9aM+9tXoVXm4byuDhWKkth9Asf1dRj1FSSOniH6881o
 00qxT4TQP1+FcUUNsd+8/0lcCNSV+P55ugOnBn84aLG706YqKJldpHEqbFMe
 kPzPrn7egCr10CRdItSvF1jdyZRVOgzyFi1ADwTo2taEcDsNdInzK5cRffZP
 4DII/O4ujCtq0GeW4//V1zDqK5BFQfQZY1C9McQoN8QtPN+9Bu+DycTKcfVk
 hFNHn1qKCLpxrbkcY95YvA9cB4AxdyyL7507o9dUFHoEj3zBiQAWjNG4dbLO
 HdMcOC6y1Eh3cJpuTzAMn2w49CXgrAdIh4OyNbdyfMPLuCsrEx5vueZYOgmR
 6yH67J9wrf48wuOg6+anIGqS03I/VvNhEi3HsA+2Yx/qoOfu9cjCAK7b5tC7
 9lViz5/b7dKmlmI1tdJ9y9N4H/ky+pRkbYXnu8voOBUNnwrrvtlFgkOh5A7l
 uFGSnjjc/n9Res3+Q0S6c8N0HpDyGryQgGD9TAJ1Uzn66/UkIhFTeB241lxO
 bMN2VEcv+qwKrPfbUF0R9CtqQJNYzUeSg5tWivWX5Hd9diXoEvPtj84ZVBxE
 jvYRe/Y9sBX6xCISHx5DBFxoE4s5ZQpZ4BX8dq/Fv25KxuxxuZK3Wq2LDv4s
 UtY5aTxAHAA1Ky0BPT2gFMWrbubUG28SO3ESOxw1tQlFLuFx0HPPS0kJDh08
 DvT6Crz3Xwu2IrHzKCLPi8xPpvKyJIgKJWebPqcadaoHFbeQo5KZuNV8GAwN
 bVwBsZebQCZj3wdd0vn8HpMxfokmBLkuyHMJPuwYUBXdpT1AKQ70e7ttEzt+
 HKFJjjzzHADx9vYoDp3Yhu3YbacBiD6/BX18Ib7HbsZqasXacRgVjieD3sEO
 3HcvxJhTjfnOAcy3d+N7ZDneh5ejOnqRY/Ox205jH+1CqxqNMm2splbUmQjR
 l5p6V01xam8s93DfHCdSQGVQErGgpXMABIhUAlKqxBon1q0SSj1/aWlJSGU0
 T4peNS3lgi7BSmOUEGBoELfOtTn0vr/7wf6y4s3//s2vz9MlxBIDtbCviIaV
 nrHnN6R4QMzBq0DPQCVqaOk3Jc8b/MeR3ZhfC0qlDnYAgwd46cq5/oQa9OAh
 TQxIIWDpjh29wA8HKlEqvV/r/U+vJnf/A+Ts/B7eh29E5GZUu9AHHcHA1q2T
 xtcNWkASl54CH6Nx0tQl2KwUiBuAflM7twpuronOS0kxAdAlMseL3dkLiUGV
 +sY7gv4d/3t5ffy1ebNnxg3DPRgh58FuWOnpkylcslK0YeFCXZxoX4jNRKBM
 IEoRlKEoA0rdKrilXwL6R0IJemwhehOaFjZ1PRI39FjE5YofKsqPt1SOce6q
 KS9oLSqoSEg5nAXdsYaVnj7VKkMulf3qj1tWxx2BHzhNK+6Mx0yXaZnOaMxy
 xU3LYSYSYbfD6PF4nCGvx93rdnl63U5f1OEY/FwYGroaVnr67OkPmd22kspu
 lBqWQ9QsICXNH3KFiFR2eKgysojhJ8C2tb8lAlL2O4buAdrfuQck7L8dApQQ
 py9sGzIBypBDqfzILpTae2HTkAnYdKPnGBmkzp8u1L4LW4arTnDPMMkZWQgx
 /B6QhNo9PHJGFjYypU5pWAgQSgxbxcYI4o+bV7haL2wcHg+QnvV8xuOAUurJ
 dO3DQsDGFfRIwc1AxqdKWUBMIB5tvMn7XLqLw/q/wWtexxnp7l2hhLgJxQyG
 qdAyQ5gI9qDULoV4Qzriv934pVH9vqpH9I+TV77SnWfH5HRbE+MEKqiUCCiF
 XwgCQEAJ4RdKBVDCj1ABktvxXs4d0YeBLhAhUCGgC0EIm5BAdSkhQgIVUogu
 iegkkfgo1O3bM9DaAPgU/jt8KYh1yAWT8ORDZMMKBr/5NVB9nzUCso3/B6B4
 DLPOGMXeAAAAAElFTkSuQmCC
